Last Comment Bug 334147 - "ASSERTION: not a container" involving :first-letter{} and direction:rtl
: "ASSERTION: not a container" involving :first-letter{} and direction:rtl
Status: VERIFIED FIXED
: assertion, rtl, testcase
Product: Core
Classification: Components
Component: Layout (show other bugs)
: Trunk
: PowerPC Mac OS X
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
Depends on: 198928
Blocks: randomclasses framedest
  Show dependency treegraph
 
Reported: 2006-04-15 10:44 PDT by Jesse Ruderman
Modified: 2008-04-07 13:58 PDT (History)
5 users (show)
jruderman: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
testcase (168 bytes, application/xhtml+xml)
2006-04-15 10:46 PDT, Jesse Ruderman
no flags Details

Description Jesse Ruderman 2006-04-15 10:44:54 PDT
###!!! ASSERTION: not a container: 'PR_FALSE', file /Users/admin/trunk/mozilla/layout/generic/nsFrame.cpp, line 615
Comment 1 Jesse Ruderman 2006-04-15 10:46:16 PDT
Created attachment 218543 [details]
testcase
Comment 2 Uri Bernstein (Google) 2006-04-15 10:54:35 PDT
This is covered by bug 198928 (see bug 198928 comment #6).
Comment 3 Jesse Ruderman 2006-05-06 08:22:52 PDT
This testcase makes frames leak (see bug 334514).
Comment 4 Uri Bernstein (Google) 2006-12-25 10:56:14 PST
Fixed by the patch for bug 198928.

Jesse - can you please verify?
Comment 5 Jesse Ruderman 2007-01-03 15:43:11 PST
V Fixed.  The assertions in comment 0 and comment 3 are gone.  (Tested Mac trunk debug.)

Thanks, Uri :)
Comment 6 Jesse Ruderman 2007-12-15 14:32:36 PST
Crashtest checked in.
Comment 7 :Ehsan Akhgari 2008-04-07 13:58:39 PDT
Mass-assigning the new rtl keyword to RTL-related (see bug 349193).

Note You need to log in before you can comment on or make changes to this bug.